%define		rpm_macros_rev	1.744
%define		find_lang_rev	1.40
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Source5:	rpm.macros.kernel
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# macros.d/kernel
Conflicts:	rpm-build < 5.4.15-6
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .
cp -p %{SOURCE5} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d

cp -p rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
cp -p rpm.macros.kernel $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/kernel

install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}/dokuwiki-find-lang.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%{_usrlibrpm}/macros.d/kernel
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Sun Oct 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Sun Oct 20 2019 Jan Rękorajski <baggins@pld-linux.org> 73cb8c3
- ver 1.744

* Sun Oct 20 2019 Jan Rękorajski <baggins@pld-linux.org> b8dd056
- gettextize: *** The option '--intl' is no longer available.

* Mon Jul 08 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> cbfd796
- 1.743; treat only *.o and *.ko files as kernel modules. Avoids trying to strip files like modules.builtin.modinfo.

* Thu Apr 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 7cafb58
- typo in cmake_on_off description

* Sun Mar 24 2019 Adam Gołębiowski <adamg@pld-linux.org> 84b5705
- 1.742, cmake_on_off macros from libgit2.spec (other variant also seen in freerdp.spec)

* Sat Mar 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b083a5
- 1.741; guile modules can be in subdirectories of some other package

* Sat Mar 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 410a3cb
- 1.740; fix regex for build root

* Sat Mar 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> a5ccf93
- 1.739; don't match libx32 and don't try to strip guile 2.2 go files (which are ELF but not strippable)

* Wed Feb 27 2019 Jan Rękorajski <baggins@pld-linux.org> fa16fde
- 1.738, supress useless noise from cmake

* Sat Feb 23 2019 Jakub Bogusz <qboosh@pld-linux.org> da8e49d
- version 1.737: added _noautoprov_* macros

* Thu Nov 01 2018 Elan Ruusamäe <glen@pld-linux.org> 003c1a6
- deprecate meson_* macros with ninja_*

* Tue Oct 30 2018 Jan Rękorajski <baggins@pld-linux.org> 73c33fd
- add link to Gentoo wiki regarding execstack

* Tue Oct 30 2018 Jan Rękorajski <baggins@pld-linux.org> 56dfec1
- add macro to check ELF file for executable stack
  (see https://www.openwall.com/lists/oss-security/2018/10/22/3 and followup)
- up to 1.735

* Wed Jul 04 2018 Jan Palus <atler@pld-linux.org> 96d010e
- update pattern for matching empty mo files in find-lang.sh with file 5.33; rel 2

* Wed Jun 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bca5d19
- up to 1.734; always skip checking std::__once_callable and std::__once_call symbols in post_check_so as these are always unresolved

* Thu May 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bc702a4
- typo fixed

* Thu May 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 343fbc2
- up to 1.732; try to build both, static and shared, libraries with meson by default

* Fri Mar 23 2018 Tomasz Pala <gotar@pld-linux.org> eb651b4
- avoid bogus commands caused by not escaped macro

* Tue Mar 20 2018 Elan Ruusamäe <glen@pld-linux.org> ee3bbe4
- 1.731: fixed %webapp_register -f to work in triggerpostun

* Thu Nov 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 4dc4b33
- typo

